Skip to main content
GET
/
metrics
/
seo
/
keywords
Keyword rankings
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/metrics/seo/keywords \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "total": 123,
    "keywords": [
      {
        "id": "<string>",
        "keyword": "<string>",
        "searchVolume": 123,
        "keywordDifficulty": 123,
        "searchIntent": "<string>",
        "gscImpressions": 123,
        "gscClicks": 123,
        "gscAvgPosition": 123,
        "gscCtr": 123,
        "opportunityScore": 123,
        "commercialScore": 123,
        "source": "<string>",
        "clusterId": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

cluster_id
string<uuid>

Filter by keyword cluster

intent
enum<string>

Filter by search intent

Available options:
informational,
transactional,
commercial,
navigational
status
string

Filter by keyword status

limit
integer
default:50

Max keywords (default 50, max 500)

Required range: x <= 500

Response

Keyword rankings

success
boolean
required
data
object